Loading...
Searching...
No Matches
oscore_recipient_ctx_t Struct Reference
Libcoap Internal API » OSCORE Support

`#include <oscore_context.h>`

Collaboration diagram for oscore_recipient_ctx_t:
[legend]

## Data Fields

oscore_recipient_ctx_t * | next_recipient
oscore_ctx_t * | osc_ctx
uint64_t | last_seq
uint64_t | sliding_window
uint64_t | rollback_sliding_window
uint64_t | rollback_last_seq
coap_bin_const_t * | recipient_key
coap_bin_const_t * | recipient_id
uint8_t | echo_value [8]
uint8_t | initial_state

## Detailed Description

Definition at line 112 of file oscore_context.h.

## Field Documentation

## echo_value

uint8_t oscore_recipient_ctx_t::echo_value[8]

Definition at line 123 of file oscore_context.h.

## initial_state

uint8_t oscore_recipient_ctx_t::initial_state

Definition at line 124 of file oscore_context.h.

## last_seq

uint64_t oscore_recipient_ctx_t::last_seq

Definition at line 116 of file oscore_context.h.

## next_recipient

oscore_recipient_ctx_t* oscore_recipient_ctx_t::next_recipient

Definition at line 114 of file oscore_context.h.

## osc_ctx

oscore_ctx_t* oscore_recipient_ctx_t::osc_ctx

Definition at line 115 of file oscore_context.h.

## recipient_id

coap_bin_const_t* oscore_recipient_ctx_t::recipient_id

Definition at line 122 of file oscore_context.h.

## recipient_key

coap_bin_const_t* oscore_recipient_ctx_t::recipient_key

Definition at line 121 of file oscore_context.h.

## rollback_last_seq

uint64_t oscore_recipient_ctx_t::rollback_last_seq

Definition at line 120 of file oscore_context.h.

## rollback_sliding_window

uint64_t oscore_recipient_ctx_t::rollback_sliding_window

Definition at line 119 of file oscore_context.h.

## sliding_window

uint64_t oscore_recipient_ctx_t::sliding_window

Definition at line 118 of file oscore_context.h.

The documentation for this struct was generated from the following file:

- oscore_context.h